package main

// list dailymotion servers

type DailymotionVPN struct {
}

func (s *DailymotionVPN) ServerList() (error, *map[string]string) {
	VPNNames := map[string]string{
		"Paris 1":          "gate-01.dc3.dailmotion.com",
		"New-York 1":       "gate-01.nyc.dailmotion.com",
		"Silicon Valley 1": "gate-01.sv6.dailmotion.com",
		"Singapore 1":      "gate-01.sg1.dailmotion.com",
		"Tokyo 1":          "gate-01.ty4.dailmotion.com",
		"Paris 2":          "gate-01.dc3.dailmotion.com",
		"New-York 2":       "gate-01.nyc.dailmotion.com",
		"Silicon Valley 2": "gate-01.sv6.dailmotion.com",
		"Singapore 2":      "gate-01.sg1.dailmotion.com",
		"Tokyo 2":          "gate-01.ty4.dailmotion.com",
		"default":          "vpn.dailymotion.com",
	}
	return nil, &VPNNames
}
